Name:		xpad
Version:	4.0
Release:	3%{?dist}
Summary:	Sticky notepad for GTK+2

Group:		User Interface/Desktops
License:	GPLv3+
URL:		http://xpad.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gtk2-devel libSM-devel gettext desktop-file-utils intltool

%description
Xpad is a sticky note application written using GTK+ 2.0 
that strives to be simple, fault-tolerant, and customizable. 
Xpad consists of independent pad windows; each is basically 
a text box in which notes can be written. Despite being 
called xpad, all that is needed to run or compile it is 
the GTK+ 2.0 libraries.

%prep
%setup -q


%build
%configure

make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# desktop file stuff
desktop-file-install --vendor="fedora" \
	--delete-original \
	--dir=%{buildroot}/%{_datadir}/applications \
	%{buildroot}/%{_datadir}/applications/%{name}.desktop

# additional autostart file
mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
desktop-file-install \
	--add-category=GTK \
	--dir=%{buildroot}/%{_sysconfdir}/xdg/autostart \
	%{name}.desktop


%find_lang %{name}


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1*
%{_sysconfdir}/xdg/autostart/%{name}.desktop


%changelog
* Sat Jun 13 2009 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 4.0-3
- Add autostart
- Add new icon cache scriptlets
- Fix macros

* Sat May 30 2009 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 4.0-2
- Add BR intltool

* Sat May 30 2009 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 4.0-1
- Update to new upstream version 4.0

* Fri Oct 10 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 3.0-1
- Update to new upstream version 3.0
- Upstream: Doesn't wake up every 20 milliseconds
- Upstream: Added some command line options (--hide, --show)
- Upstream: Update icon a bit
- Change license to GPLv3+

* Fri Jul 18 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 2.14-2
- description fixed
- Add doc NEWS, THANKS and TODO
- Add Requires: hicolor-icon-theme
- Remove BuildRequires: libICE-devel

* Fri Jul 11 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 2.14-1
- Initial SPEC file
